Skip to navigation

Disable

Disables an agent by name or ID. A disabled agent cannot start conversations or be updated, except to release its phone numbers.

Authentication

AuthorizationBearer

Bearer authentication header of the form Bearer <PHONIC_API_KEY>. Manage your API keys here.

Path parameters

nameOrIdstringRequired
The name or the ID of the agent.

Query parameters

projectstringOptionalDefaults to main

The name of the project containing the agent. Only used when nameOrId is a name.

Response

Success response
successboolean

Errors

403
Forbidden Error
404
Not Found Error